
ALTER TABLE [cat_catalogo.equipo_atributo]
ALTER COLUMN [catalogo.equipo_atributo] varchar(8000)

ALTER TABLE equ_equipoAtributo
ALTER COLUMN equipoAtributo varchar(8000)


GO


ALTER PROCEDURE [dbo].[ins_equ_equipoAtributo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_equipoAtributo varchar(8000),
		@p_equipoAtributo_codigo varchar(100),
		@p_fecha_ff smalldatetime,
		@p_id_equipo int,
		@p_id_documento_ot int,
		@p_id_atributo int,
		@p_id_opcionAtributo int,
		@p_id_reporteTecnico int,
		@p_id_pruebaCheckList int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [equ_equipoAtributo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[equipoAtributo],
			[equipoAtributo_codigo],
			[fecha_ff],
			[id_equipo],
			[id_documento.ot],
			[id_atributo],
			[id_opcionAtributo],
			[id_reporteTecnico],
			[id_pruebaCheckList])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_equipoAtributo,
			@p_equipoAtributo_codigo,
			@p_fecha_ff,
			@p_id_equipo,
			@p_id_documento_ot,
			@p_id_atributo,
			@p_id_opcionAtributo,
			@p_id_reporteTecnico,
			@p_id_pruebaCheckList)
		SET @v_id = scope_identity()
UPDATE [equ_equipoAtributo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END



GO



ALTER PROCEDURE [dbo].[upd_equ_equipoAtributo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_equipoAtributo varchar(8000) = null,
		@p_equipoAtributo_codigo varchar(100) = null,
		@p_fecha_ff smalldatetime = null,
		@p_id_equipo int = null,
		@p_id_documento_ot int = null,
		@p_id_atributo int = null,
		@p_id_opcionAtributo int = null,
		@p_id_reporteTecnico int = null,
		@p_id_pruebaCheckList int = null
AS
BEGIN
		UPDATE [equ_equipoAtributo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[equipoAtributo] = isnull(@p_equipoAtributo,[equipoAtributo]),
			[equipoAtributo_codigo] = isnull(@p_equipoAtributo_codigo,[equipoAtributo_codigo]),
			[fecha_ff] = isnull(@p_fecha_ff,[fecha_ff]),
			[id_equipo] = isnull(@p_id_equipo,[id_equipo]),
			[id_documento.ot] = isnull(@p_id_documento_ot,[id_documento.ot]),
			[id_atributo] = isnull(@p_id_atributo,[id_atributo]),
			[id_opcionAtributo] = isnull(@p_id_opcionAtributo,[id_opcionAtributo]),
			[id_reporteTecnico] = isnull(@p_id_reporteTecnico,[id_reporteTecnico]),
			[id_pruebaCheckList] = isnull(@p_id_pruebaCheckList,[id_pruebaCheckList])
			
		WHERE (id = @p_id)
END

GO




GO

ALTER PROCEDURE [dbo].[ins_cat_catalogo_equipo_atributo]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_catalogo_equipo_atributo varchar(8000),
		@p_valorMinimo float,
		@p_ValorMaximo float,
		@p_bloquearCierreOT bit,
		@p_id_atributo int,
		@p_id_catalogo_equipo int,
		@p_orden int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [cat_catalogo.equipo_atributo]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[catalogo.equipo_atributo],
			[valorMinimo],
			[ValorMaximo],
			[bloquearCierreOT],
			[id_atributo],
			[id_catalogo.equipo],
			[orden])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_catalogo_equipo_atributo,
			@p_valorMinimo,
			@p_ValorMaximo,
			@p_bloquearCierreOT,
			@p_id_atributo,
			@p_id_catalogo_equipo,
			@p_orden)
		SET @v_id = scope_identity()
UPDATE [cat_catalogo.equipo_atributo] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO




ALTER PROCEDURE [dbo].[upd_cat_catalogo_equipo_atributo]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_catalogo_equipo_atributo varchar(8000) = null,
		@p_valorMinimo float = null,
		@p_ValorMaximo float = null,
		@p_bloquearCierreOT bit = null,
		@p_id_atributo int = null,
		@p_id_catalogo_equipo int = null,
		@p_orden int = null
AS
BEGIN
		UPDATE [cat_catalogo.equipo_atributo]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[catalogo.equipo_atributo] = isnull(@p_catalogo_equipo_atributo,[catalogo.equipo_atributo]),
			[valorMinimo] = isnull(@p_valorMinimo,[valorMinimo]),
			[ValorMaximo] = isnull(@p_ValorMaximo,[ValorMaximo]),
			[bloquearCierreOT] = isnull(@p_bloquearCierreOT,[bloquearCierreOT]),
			[id_atributo] = isnull(@p_id_atributo,[id_atributo]),
			[id_catalogo.equipo] = isnull(@p_id_catalogo_equipo,[id_catalogo.equipo]),
			[orden] = isnull(@p_orden,[orden])
		WHERE (id = @p_id)
END
GO


